﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="WFEDataSet9" targetNamespace="http://tempuri.org/WFEDataSet9.xsd" xmlns:mstns="http://tempuri.org/WFEDataSet9.xsd" xmlns="http://tempuri.org/WFEDataSet9.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="WFEConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="WFEConnectionString (MySettings)" PropertyReference="ApplicationSettings.WFE.My.MySettings.GlobalReference.Default.WFEConnectionString" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="電路板製程TableAdapter" GeneratorDataComponentClassName="電路板製程TableAdapter" Name="電路板製程" UserDataComponentName="電路板製程TableAdapter">
            <MainSource>
              <DbSource ConnectionRef="WFEConnectionString (MySettings)" DbObjectName="電路板製程" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `電路板製程` WHERE ((`識別碼` = ?) AND ((? = 1 AND `製程` IS NULL) OR (`製程` = ?)) AND ((? = 1 AND `藍水(m3)` IS NULL) OR (`藍水(m3)` = ?)) AND ((? = 1 AND `綠水(m3)` IS NULL) OR (`綠水(m3)` = ?)) AND ((? = 1 AND `灰水(m3)` IS NULL) OR (`灰水(m3)` = ?)) AND ((? = 1 AND `總水足跡(m3)` IS NULL) OR (`總水足跡(m3)` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_識別碼" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="識別碼" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_製程" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="製程" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_製程" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="製程" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_藍水(m3)" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="藍水(m3)" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_藍水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="藍水(m3)" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_綠水(m3)" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="綠水(m3)" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_綠水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="綠水(m3)" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_灰水(m3)" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="灰水(m3)" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_灰水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="灰水(m3)" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_總水足跡(m3)" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="總水足跡(m3)" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_總水足跡(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="總水足跡(m3)" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `電路板製程` (`製程`, `藍水(m3)`, `綠水(m3)`, `灰水(m3)`, `總水足跡(m3)`) VALUES (?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="製程" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="製程" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="藍水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="藍水(m3)" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="綠水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="綠水(m3)" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="灰水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="灰水(m3)" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="總水足跡(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="總水足跡(m3)" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT 識別碼, 製程, [藍水(m3)], [綠水(m3)], [灰水(m3)], [總水足跡(m3)] FROM 電路板製程</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `電路板製程` SET `製程` = ?, `藍水(m3)` = ?, `綠水(m3)` = ?, `灰水(m3)` = ?, `總水足跡(m3)` = ? WHERE ((`識別碼` = ?) AND ((? = 1 AND `製程` IS NULL) OR (`製程` = ?)) AND ((? = 1 AND `藍水(m3)` IS NULL) OR (`藍水(m3)` = ?)) AND ((? = 1 AND `綠水(m3)` IS NULL) OR (`綠水(m3)` = ?)) AND ((? = 1 AND `灰水(m3)` IS NULL) OR (`灰水(m3)` = ?)) AND ((? = 1 AND `總水足跡(m3)` IS NULL) OR (`總水足跡(m3)` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="製程" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="製程" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="藍水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="藍水(m3)" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="綠水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="綠水(m3)" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="灰水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="灰水(m3)" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="總水足跡(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="總水足跡(m3)" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_識別碼" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="識別碼" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_製程" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="製程" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_製程" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="製程" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_藍水(m3)" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="藍水(m3)" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_藍水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="藍水(m3)" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_綠水(m3)" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="綠水(m3)" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_綠水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="綠水(m3)" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_灰水(m3)" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="灰水(m3)" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_灰水(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="灰水(m3)" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_總水足跡(m3)" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="總水足跡(m3)" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_總水足跡(m3)" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="總水足跡(m3)" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="識別碼" DataSetColumn="識別碼" />
              <Mapping SourceColumn="製程" DataSetColumn="製程" />
              <Mapping SourceColumn="藍水(m3)" DataSetColumn="藍水(m3)" />
              <Mapping SourceColumn="綠水(m3)" DataSetColumn="綠水(m3)" />
              <Mapping SourceColumn="灰水(m3)" DataSetColumn="灰水(m3)" />
              <Mapping SourceColumn="總水足跡(m3)" DataSetColumn="總水足跡(m3)" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="WFEDataSet9" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="WFEDataSet9" msprop:Generator_UserDSName="WFEDataSet9">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="電路板製程" msprop:Generator_TableClassName="電路板製程DataTable" msprop:Generator_TableVarName="table電路板製程" msprop:Generator_TablePropName="電路板製程" msprop:Generator_RowDeletingName="電路板製程RowDeleting" msprop:Generator_RowChangingName="電路板製程RowChanging" msprop:Generator_RowEvHandlerName="電路板製程RowChangeEventHandler" msprop:Generator_RowDeletedName="電路板製程RowDeleted" msprop:Generator_UserTableName="電路板製程" msprop:Generator_RowChangedName="電路板製程RowChanged" msprop:Generator_RowEvArgName="電路板製程RowChangeEvent" msprop:Generator_RowClassName="電路板製程Row">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="識別碼" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="column識別碼" msprop:Generator_ColumnPropNameInRow="識別碼" msprop:Generator_ColumnPropNameInTable="識別碼Column" msprop:Generator_UserColumnName="識別碼" type="xs:int" />
              <xs:element name="製程" msprop:Generator_ColumnVarNameInTable="column製程" msprop:Generator_ColumnPropNameInRow="製程" msprop:Generator_ColumnPropNameInTable="製程Column" msprop:Generator_UserColumnName="製程" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="藍水_x0028_m3_x0029_" msprop:Generator_ColumnVarNameInTable="_column藍水_m3_" msprop:Generator_ColumnPropNameInRow="_藍水_m3_" msprop:Generator_ColumnPropNameInTable="_藍水_m3_Column" msprop:Generator_UserColumnName="藍水(m3)" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="綠水_x0028_m3_x0029_" msprop:Generator_ColumnVarNameInTable="_column綠水_m3_" msprop:Generator_ColumnPropNameInRow="_綠水_m3_" msprop:Generator_ColumnPropNameInTable="_綠水_m3_Column" msprop:Generator_UserColumnName="綠水(m3)" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="灰水_x0028_m3_x0029_" msprop:Generator_ColumnVarNameInTable="_column灰水_m3_" msprop:Generator_ColumnPropNameInRow="_灰水_m3_" msprop:Generator_ColumnPropNameInTable="_灰水_m3_Column" msprop:Generator_UserColumnName="灰水(m3)" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="總水足跡_x0028_m3_x0029_" msprop:Generator_ColumnVarNameInTable="_column總水足跡_m3_" msprop:Generator_ColumnPropNameInRow="_總水足跡_m3_" msprop:Generator_ColumnPropNameInTable="_總水足跡_m3_Column" msprop:Generator_UserColumnName="總水足跡(m3)" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:電路板製程" />
      <xs:field xpath="mstns:識別碼" />
    </xs:unique>
  </xs:element>
</xs:schema>